[Support] SpaceinvaderOne - Macinabox


1940 posts in this topic Last Reply

Recommended Posts

On 2/20/2021 at 9:53 PM, John_M said:

 

The error message suggests that the server was overloaded and couldn't respond to your request, possibly due to the macOS 11.2.1 update that was released recently. Try again later.

 

its still saying the same thing.

Link to post
  • Replies 1.9k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

PLEASE - PLEASE - PLEASE EVERYONE POSTING IN THIS THREAD IF YOU POST YOUR XML FOR THE VM HERE PLEASE REMOVE/OBSCURE THE OSK KEY AT THE BOTTOM. IT IS AGAINST THE RULES OF THE FORUM FOR OSK K

09 Dec 2020   Basic usage instructions.   Macinabox needs the following other apps to be installed. CA User Scripts (macinabox will inject a user script. This is what fixes th

Sure is. When Big Sur is released officially a new Macinabox will be out. With a bunch of new features and choice between opencore and clover bootloaders.

Posted Images

not quite sure what to do. its giving me this error every time i try to download the install img. for any version and both methods. 

2021-02-26 12:15:14,775 Network Request: Fetching https://swscan.apple.com/content/catalogs/others/index-10.14-10.13-10.12-10.11-10.10-10.9-mountainlion-lion-snowleopard-leopard.merged-1.sucatalog
2021-02-26 12:15:17,108 Network Request: Fetching http://swcdn.apple.com/content/downloads/41/23/061-26578-A_FF0C6M87LS/ylvl0phx6uy3i444qt9p57n8wz0xnylmd9/InstallAssistantAuto.smd
2021-02-26 12:15:17,231 Network Request: Fetching http://swcdn.apple.com/content/downloads/17/32/061-26589-A_8GJTCGY9PC/25fhcu905eta7wau7aoafu8rvdm7k1j4el/InstallAssistantAuto.smd
2021-02-26 12:15:17,296 Network Request: Fetching http://swcdn.apple.com/content/downloads/06/50/041-91758-A_M8T44LH2AW/b5r4og05fhbgatve4agwy4kgkzv07mdid9/InstallAssistantAuto.smd
2021-02-26 12:15:17,432 Network Request: Fetching http://swcdn.apple.com/content/downloads/34/54/041-88800-A_HLMBDM42FL/anrmoj880qkj0lbybqm0c3830p70nawjrv/InstallAssistantAuto.smd
2021-02-26 12:15:17,513 Network Request: Fetching http://swcdn.apple.com/content/downloads/08/44/041-90855-A_452WLVQACP/mzfvoi59bljh3w4w4lvwenfk0r1a2f7212/InstallAssistantAuto.smd
2021-02-26 12:15:17,567 Network Request: Fetching http://swcdn.apple.com/content/downloads/01/28/061-86291-A_JPEIWIOZES/enpozvvbmj3mj2dhulhevlt8b429qd5kw0/InstallAssistantAuto.smd
2021-02-26 12:15:17,638 Network Request: Fetching http://swcdn.apple.com/content/downloads/37/41/001-04366/a6boefh8b6bee4k2x6v5lwyfjr7od2ica3/InstallAssistantAuto.smd
2021-02-26 12:15:17,724 Network Request: Fetching http://swcdn.apple.com/content/downloads/23/45/001-36735-A_IRCLJ5YYKF/z8vka6xfykydycui5b7atpc52btxmbffdn/InstallAssistantAuto.smd
2021-02-26 12:15:17,800 Network Request: Fetching http://swcdn.apple.com/content/downloads/10/06/001-36801-A_9MBEQ97Z9M/672a1q4u8978ize3s15ygivp2dqwmk10qb/InstallAssistantAuto.smd
2021-02-26 12:15:17,890 Network Request: Fetching http://swcdn.apple.com/content/downloads/20/55/001-51042-A_2EJTJOSUC2/rsvf13iphg5lvcqcysqcarv8cvddq8igek/InstallAssistantAuto.smd
2021-02-26 12:15:17,968 Network Request: Fetching http://swcdn.apple.com/content/downloads/61/24/001-57224/0o1xetys5n505gocjsil5qo0p4kg939elb/InstallAssistantAuto.smd
2021-02-26 12:15:18,039 Network Request: Fetching http://swcdn.apple.com/content/downloads/26/37/001-68446/r1dbqtmf3mtpikjnd04cq31p4jk91dceh8/InstallAssistantAuto.smd
2021-02-26 12:15:19,312 Selected macOS Product: 061-26578
Traceback (most recent call last):
File "/usr/lib/python3.8/site-packages/urllib3/response.py", line 437, in _error_catcher


File "/usr/lib/python3.8/site-packages/urllib3/response.py", line 519, in read
data = self._fp.read(amt) if not fp_closed else b""
File "/usr/lib/python3.8/http/client.py", line 458, in read
n = self.readinto(b)
File "/usr/lib/python3.8/http/client.py", line 502, in readinto
n = self.fp.readinto(b)
File "/usr/lib/python3.8/socket.py", line 669, in readinto
return self._sock.recv_into(b)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.8/site-packages/requests/models.py", line 751, in generate
for chunk in self.raw.stream(chunk_size, decode_content=True):
File "/usr/lib/python3.8/site-packages/urllib3/response.py", line 576, in stream
data = self.read(amt=amt, decode_content=decode_content)
File "/usr/lib/python3.8/site-packages/urllib3/response.py", line 541, in read
raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
File "/usr/lib/python3.8/contextlib.py", line 131, in __exit__
self.gen.throw(type, value, traceback)
File "/usr/lib/python3.8/site-packages/urllib3/response.py", line 455, in _error_catcher
raise ProtocolError("Connection broken: %r" % e, e)
urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(104, 'Connection reset by peer')", ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "fetch-macos.py", line 165, in <module>
fetchmacos()
File "/usr/lib/python3.8/site-packages/click/core.py", line 829, in __call__
return self.main(*args, **kwargs)
File "/usr/lib/python3.8/site-packages/click/core.py", line 782, in main
rv = self.invoke(ctx)
File "/usr/lib/python3.8/site-packages/click/core.py", line 1066, in invoke
return ctx.invoke(self.callback, **ctx.params)
File "/usr/lib/python3.8/site-packages/click/core.py", line 610, in invoke
return callback(*args, **kwargs)
File "fetch-macos.py", line 162, in fetchmacos
product.fetchpackages(output_dir, keyword=keyword)
File "fetch-macos.py", line 132, in fetchpackages
Filesystem.download_file(item.get("URL"), item.get("Size"), path)
File "fetch-macos.py", line 39, in download_file
for data in stream:
File "/usr/lib/python3.8/site-packages/click/_termui_impl.py", line 315, in generator
for rv in self.iter:
File "/usr/lib/python3.8/site-packages/requests/models.py", line 754, in generate
raise ChunkedEncodingError(e)
requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(104, 'Connection reset by peer')", ConnectionResetError(104, 'Connection reset by peer'))
chmod: /isos/Mojave-install.img: No such file or directory

 

Link to post

Also not getting Big Sur here.

 

I have removed the VM, removed the docker image, removed ovmfs, iso, macinabox folders in app data, template, etc....

 

Always get Catalina eventhough the .img is called Big Sur.

 

I feel like server side is giving Catalina instead of Big Sur, then during the process the .img is renamed Big Sur.

Link to post
21 hours ago, ScottRTL said:

Also not getting Big Sur here.

 

I have removed the VM, removed the docker image, removed ovmfs, iso, macinabox folders in app data, template, etc....

 

Always get Catalina eventhough the .img is called Big Sur.

 

I feel like server side is giving Catalina instead of Big Sur, then during the process the .img is renamed Big Sur.

same issue here

Link to post
On 2/6/2021 at 10:42 AM, John_M said:

 

It doesn't. If you select Catalina, it downloads Catalina - I did it last week, and discussed it in this thread. However, if you select Big Sur, it downloads Catalina instead. This is a known problem and has been discussed repeatedly in this thread. The author hasn't updated the container to fix it. Also discussed is the fact that it's possible to install Catalina and then upgrade to Big Sur, if you really want to. I wouldn't expect you to read all 71 pages but it might be worth skimming through the last four or five.

Thanks ,

i uninstalled this garbage , not worth my time , macs are crap now

Link to post

MacInABox user scripts are not installed

 

Hello SpaceInvaderOne, 

I have not found anything in the forum on the above topic, so I am asking you:I am a newcomer to Unraid and followed your recent video on Youtube and installed MacInABox in Unraid (6.9.0). Everything worked fine so far, except that Big Sur was not installed as selected, but Catalina. 

 

When I tried to fix it, I got completely lost. 

 

I then completely rebuilt the flash drive with Unraid and repeated the entire procedure. The problem now is that the userscripts are not installed. In any case, they are not displayed under "Settings" -> "User Scripts".

 

Can you please give me a tip on how to fix this?

 

Otherwise, I want to thank you for your excellent work and the time you put into this project.  Your videos on YouTube are a great inspiration and even I, as a non-native English speaker, can understand them very well.

 

Thank you in advance for your response and time,
with warmest regards and stay well...
Rollo

Link to post
2 hours ago, t-mac_003 said:

Does anyone know how I can fix this error?

 

The path names are hard coded. If you are not using the default locations for domains (/mnt/user/domains) and appdata (/mnt/user/appdata) or if you call the container anything other than the default (case-sensitive) 'macinabox' the script will fail. So either make sure everything is as the default or edit the script accordingly.

 

 

Edited by John_M
Added 'case-sensitive'
Link to post
On 2/22/2021 at 10:21 AM, uktz said:

image.png.d33188043944b53d8bc29252ea10cdbb.png

 

No matter how many times I restart the server, remove template/appdata, delete domains/isos, and remove the VM, I am plagued with this error

Had the same problem -- you have to rm -r the /custom_ovmf/ folder and start over. Worked for me.

Link to post
On 2/23/2021 at 4:24 AM, pyrown said:

I keep getting Catalina too, instead of BigSur... Anyone know why?
And with Method2 it doesn't even download at all, saying:
" I am going to download the BigSur recovery media. Please be patient!
.
.
Product ID 001-86606 could not be found. "

It said catalina with mine too, but was Big Sur.

Link to post
17 hours ago, John_M said:

 

The path names are hard coded. If you are not using the default locations for domains (/mnt/user/domains) and appdata (/mnt/user/appdata) or if you call the container anything other than the default (case-sensitive) 'macinabox' the script will fail. So either make sure everything is as the default or edit the script accordingly.

 

 

Oh I did not know they were hard coded.

 

It was not mentioned in the Youtube video or maybe I missed it.

 

I am using custom paths. I will try to go through the script and update it.

 

Hopefully it works!

 

Thanks!

Link to post
On 11/26/2020 at 10:40 PM, Jagadguru said:

Does the virtual memory balloon device work in a MacOS VM?

Something may have changed for balloon.

I'm using the latest version of big sur 11.2.2 (20D80) and it has a AppleVirtIO.kext in /System/Library/Extensions

If you open it and look at info.plist in the Contents folder you can see that there is:

		<key>AppleVirtIOBalloon</key>
		<dict>
			<key>CFBundleIdentifier</key>
			<string>com.apple.driver.AppleVirtIO</string>
			<key>IOClass</key>
			<string>AppleVirtIOBalloon</string>
			<key>IOProviderClass</key>
			<string>AppleVirtIOTransport</string>
		</dict>

So the driver is there and may work.

 

Other important things about virtio drivers and latest big sur version (and maybe older updated oses --> check for the kext and its version): virtio-net for network is now stable and working (and recommended to be used), virtio-blk for storage is included too, but it seems it's not possible to have a properly working trim for file drive, virtio-scsi still missing.

 

Update: no virtio balloon driver in Catalina 10.15.7 (19H524), also kext version is 16.140.6 vs 74.60.4 (big sur 11.2.2)

Edited by ghost82
Link to post

I have 2 little problems.

 

I have my VM from the old installer and I lost my xml. How do I get that one working with the new docker?

 

Also, I will like to keep doing qcow2 instead of having a 100gb raw file if i decide to just do a new one

Link to post
On 3/3/2021 at 4:36 PM, t-mac_003 said:

I followed all the directions up until running the "1_macinabox_helper" script. It gives the following error message.

 

Does anyone know how I can fix this error?

 

Many Thanks!

 

image.png.f135d6661864a11f0fb6e92afa090af4.png

 

image.thumb.png.c4d4817b0d666d8d387e448ce90af73f.png

Same issue here, installed macinthebox docker, while following the vid, pressed the notifier and it immediately told me to run the helper script, Pressed it and it said to run the VM and it wasn't there. This is a brand new 6.9.0 install.

Edited by arch1mede
Link to post
4 hours ago, arch1mede said:

Same issue here

 

If it really is the same issue, and you're getting the same error message, then my advice is the same as I gave to @t-mac_003 :

 

 

 

Link to post

I have a working BigSur install following the excellent tutorial with the exception of usb passthough.  Everything works using vnc, but as soon as I assign a gpu, I'm unable to do anything at the login screen.  Machine isn't frozen as I can shut down from vm page in unraid.  Do I need a kext for the usb controllers?

Link to post

Hi I've recently have been trying to install MacOS Catalina using macinabox, but I think its not running properly. No user scripts are created. I've have tried removing and reinstalling macinabox and that hasn't helped.

Here are my macinabox logs

I am quite new to this, but is it failing at getting the macos image? If not what do you think the problem is?

Thanks

Have you tried the x11vnc '-ncache' VNC client-side pixel caching feature yet?

The scheme stores pixel data offscreen on the VNC viewer side for faster
retrieval. It should work with any VNC viewer. Try it by running:

x11vnc -ncache 10 ...

One can also add -ncache_cr for smooth 'copyrect' window motion.
More info: http://www.karlrunge.com/x11vnc/faq.html#faq-client-caching

Traceback (most recent call last):
File "fetch-macos2.py", line 501, in <module>
sys.exit(main())
File "fetch-macos2.py", line 497, in main
action_download(args)
File "fetch-macos2.py", line 236, in action_download
info = get_image_info(session, bid=args.board_id, mlb=args.mlb,
File "fetch-macos2.py", line 147, in get_image_info
headers, output = run_query(url, headers, post)
File "fetch-macos2.py", line 80, in run_query
response = urlopen(req)
File "/usr/lib/python3.8/urllib/request.py", line 222, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.8/urllib/request.py", line 531, in open
response = meth(req, response)
File "/usr/lib/python3.8/urllib/request.py", line 640, in http_response
response = self.parent.error(

File "/usr/lib/python3.8/urllib/request.py", line 569, in error

return self._call_chain(*args)
File "/usr/lib/python3.8/urllib/request.py", line 502, in _call_chain
result = func(*args)
File "/usr/lib/python3.8/urllib/request.py", line 649, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 417: Expectation Failed

 

Link to post
On 3/7/2021 at 7:33 PM, arch1mede said:

I am using the default paths

 

@John_M @SpaceInvaderOne

 

So it seems like when the script is generated, for some reason it does not capture the custom path location of Docker. In my case, I am not using appdata but instead using Docker.

 

After making manual changes to the script, it ran perfectly fine and added the VM.

 

There maybe a bug with how the script is generated and it not capturing the changes from the Docker template.

 

Another thing I noted is that it has to be "system" and not "System" for the custom_ovmf folder location else the VM won't start. The directory location in UnRaid is case sensitive.

 

@arch1mede

 

I am not sure why the default path would be an issue but check the script and make sure the paths make sense.

Link to post
8 hours ago, t-mac_003 said:

So it seems like when the script is generated

 

It isn't generated, it's simply downloaded. Everyone gets the same script, not one that's customised for each particular setup.

 

Link to post
On 11/14/2020 at 11:38 PM, saber1 said:

    <interface type='bridge'>
      <mac address='XX:XX:XX:XX:XX:XX'/>
      <source bridge='br0'/>
      <model type='vmxnet3'/>
 <address type='pci' domain='0x0000' bus='0x01' slot='0x00' function='0x0'/>
    </interface>

 

The current NIC for my macOS VM is bridged.

Whats the settings if i want to passthrough one of the physical NIC's to that VM?

Link to post
On 3/10/2021 at 6:50 AM, untan said:

I also tried to install BigSur and was plagued with the problem of getting Catalina.
I found this information on Github and it worked.

https://github.com/SpaceinvaderOne/Macinabox/pull/39

From the Container template edit screen in the WebGUI, set "Download Method" to method2.
Access the container console, modify /macinabox/unraid.sh, and restart the container.

 

can you expand on the "access console, modify /macinabox/unraid.sh" bit

cheers

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.